Update an Automation Output Processor
Update an Automation Output Processor
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
output_processor_id
Request
This endpoint expects an object.
fileId
The ID of a blob link or the API ID of a file to process.
Response
OK
assayRunId
automationFileConfig
file
id
status
Allowed values:
apiURL
The canonical url of the Automation Output Processor in the API.
archiveRecord
completeWithErrors
Specifies whether file processing should complete with errors. False means any error in output file processing will result in no actions being committed. True means that if row-level errors occur, then failing rows and their errors will be saved to errorFile, and actions from successful rows will be committed.
createdAt
DateTime the Automation Output Processor was created
errorFile
modifiedAt
DateTime the Automation Output Processor was last modified
progressStats
Processing progress information.
transforms
Errors
400
Bad Request Error